export function getColor(val) {
    const style = {} as any

    if (val && val === 'DISTRIBUTE') {
        style.background = 'rgba(255, 208, 0, 0.2)'
        style.color = 'rgba(220, 170, 0, 1)'
    } else if (val && val === 'ARRIVE') {
        style.background = 'rgba(254, 164, 59, 0.2)'
        style.color = 'rgba(255, 151, 30, 1)'
    } else if (val && val === 'DISPATCH') {
        style.background = 'rgba(255, 111, 111, 0.2)'
        style.color = 'rgba(255, 83, 83, 1)'
    } else if (val && val === 'FEEDBACK') {
        style.background = 'rgba(80, 184, 255, 0.2)'
        style.color = 'rgba(80, 184, 255, 1)'
    } else if (val && val === 'OVER') {
        style.background = 'rgba(91, 207, 83, 0.2)'
        style.color = 'rgba(91, 207, 83, 1)'
    } else if (val && val === 'CANCEL') {
        style.background = 'rgba(204, 204, 204, 0.2)'
        style.color = 'rgba(173, 173, 173, 1)'
    }
    return style
}
